Class | TkKernel
In: | tk/tkutil.c
Parent: | Object

### Methods

new

### Public Class methods

new(...)

/

[Source]

    /*************************************/

    static VALUE
    tk_s_new(argc, argv, klass)
        int argc;
        VALUE *argv;
        VALUE klass;
    {
        VALUE obj = rb_class_new_instance(argc, argv, klass);

        if (rb_block_given_p()) rb_obj_instance_eval(0, 0, obj);
        return obj;
    }

[Validate]